Self-serve contractor payments
Self Serve Upsert Auto Approval Threshold By Currency
Creates or updates the org's positive auto-approval threshold for a supported currency.
POSThttps://api.toku.com/hris/self-serve-upsert-auto-approval-threshold-by-currency
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/self-serve-upsert-auto-approval-threshold-by-currency' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"currencyCode": "string",
"threshold": "string"
}'200 response
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"currencyCode": "string",
"threshold": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
currencyCodestringrequiredAllowed: at least 3 characters
thresholdstringrequiredAllowed: at least 1 characters
Response
200Successful response
idstring<uuid>currencyCodestringthresholdstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits